Subject: bug#11889: 23.4; Emacs 23.4.1 jump from one font to another ever all needed chars precent in single font. 22.2.1 work fine.

From: Oleksandr Gavenko <[email-masked]>
Date: Tue, 10 Jul 2012 14:24:24 +0300

On 2012-07-10, Juri Linkov wrote:

> merge 11889 4895
> thanks
>
>> I don't know if it possible to work around this issue.
>
> This is the same problem like in the bug#4895
> As recommended in http://debbugs.gnu.org/4895
> you can do:
>
> (set-fontset-font "fontset-default" 'cyrillic
>                   (font-spec :registry "iso10646-1" :script 'cyrillic))
>
I still have problem when executing command above...

Russian letters have ja lang spec:

  xft:-Misc-Fixed-normal-normal-normal-ja-13-*-*-*-c-120-iso10646-1 (#x1DC)

while other chars have no. And ja font look very different from non-ja.

I try execute:

  (set-fontset-font "fontset-default" 'cyrillic
                   (font-spec :registry "iso10646-1" :script 'cyrillic lang: nil))

but nothing happen. Now I try deeply look into Emacs manuals...

-- 
Best regards!